#ifndef __EVENTHANDLER__H
#define __EVENTHANDLER__H

#include <windows.h>

class EventHandler 
{
public:
	enum Type {
		lup,
		ldown,
		move,
		rup,
		rdown,
		keyup,
		keydown
	};

public:
	void processEvent(HWND window, Type type, int param1, int param2);

private:
	void getAbsolutePos(HWND window, int& x, int& y);
};

#endif