#ifndef _GLOBALS_H__
#define _GLOBALS_H__

#include "png.h"

#define BYTES_PER_PIXEL		3
#define	ROWS				8
#define COLS				10
#define TITLE_HEIGHT		22
#define	BORDER_SIZE			8

struct image_info_t {
	int			tile;
	char		*rows;
	png_structp	png_ptr;
	png_infop	info_ptr;
	char		*bitmap;
	int			len;
	int			width;
	int			height;
	int			socket;
	int			size;
};


void png_begin(struct image_info_t *image_info);
void png_end(struct image_info_t *image_info);
void convert_to_png(void *);

#endif