#ifndef _STREAMSOCKET__H_
#define _STREAMSOCKET__H_

#include <string>

using namespace std;

class StreamSocket 
{
private:
	int _socket;
	static _init;
	static int init();
	int valid();

public:
	StreamSocket();
	StreamSocket(char *host, int port);
	virtual ~StreamSocket();
	
	int create();
	int bind(int port);
	
	int connect(char* host, int port);
	int send(const char* buf, int len);

	int listen();
	StreamSocket* accept();
	int receive(char* buf, int len);
	int receiveChunk(char* buf, int len);
	string peer();

	int	getSocket() { return _socket; }
	int close();
};

#endif
