#ifndef _GENUTILS__H_
#define _GENUTILS__H_

#include <fstream>
#include <string>

#include <windows.h>

#define WEB_ROOT			"public_html/"

using namespace std;

class GenUtils
{
public:
	static int getSize(ifstream& file) {
		int	fileSize;

		file.seekg(0, ios_base::end);
		fileSize = file.tellg();
		file.seekg(0, ios_base::beg);
		return fileSize;
	}

	static string getExt(string& path) {
		string	ext;

		ext = path.substr(path.rfind(".", path.size()) + 1, path.size());
		return ext;
	}

	static int getParam(string url, int pos) {
		string param, slice;

		slice = url.substr(url.find("?", 0) + 1, url.size());
		slice = slice.substr(0, slice.size());
		for (int i = 0; i < pos; i++) {
			slice = slice.substr(slice.find(",", 0) + 1, slice.size());
		}

		param = slice.substr(0, slice.find(",", 0));
		if (param == "") {
			return -1;
		}

		return atoi(param.c_str());
	}

	static string getWebRoot() {
		char		cwd[1024];
		string		path;

		GetModuleFileName(0, cwd, sizeof(cwd));
		path = cwd;
		path = path.substr(0, path.rfind('\\'));
		path = path.substr(0, path.rfind('\\'));
		path += "/";
		path += WEB_ROOT;
		return path;
	}
};

#endif